Mailboxes
Get a mailbox thread
Returns a thread with its participants and where it stands.
Returns a thread with its participants and where it stands. Read its messages with GET .../threads/{threadId}/messages and their bodies with GET .../threads/{threadId}/content.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*string
Match
^thread_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/mailboxes/string/threads/string"{ "id": "string", "subject": "string", "preview": "string", "from": { "address": "string", "displayName": "string" }, "messageCount": 0, "hasAttachments": true, "hasDraft": true, "folder": "inbox", "priority": "low", "labels": [ "string" ], "read": true, "starred": true, "snoozedUntil": "string", "lastActivityAt": "string", "conversationId": "string", "participants": [ { "actor": { "kind": "user", "id": "string", "displayName": "string" }, "role": "recipient", "address": "string" } ], "createdAt": "string"}